﻿namespace StatusModule.Views
{
    using System.Windows.Controls;

    /// <summary>
    /// Displays the application's status.
    /// </summary>
    public partial class StatusView : UserControl, IStatusView
    {
        /// <summary>
        /// Initializes a new instance of the StatusView class.
        /// </summary>
        public StatusView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Sets the (Presentation-)Model.
        /// </summary>
        public PresentationModels.IStatusPresentationModel Model
        {
            set
            {
                this.DataContext = value;
            }
        }
    }
}
