﻿namespace U2UConsult.CAL.Sample
{
    using System.Windows;

    /// <summary>
    /// Sample Composite Application Library application.
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// Register the CAL bootstrapper.
        /// </summary>
        /// <param name="e">Event arguments.</param>
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            Bootstrapper bootstrapper = new Bootstrapper();
            bootstrapper.Run();
        }
    }
}
